Graph3D Class Reference

3D graph widget. More...

`#include <Graph3D.h>`

Inheritance diagram for Graph3D:

## Public Types

enum | AxisNumericFormat { Default = 0, Decimal = 1, Scientific = 2, Engineering = 3 }
enum | PlotType { NoTable = -1, Scatter = 0, Trajectory = 1, Bars = 2, Ribbon = 3 }
enum | PointStyle { None = 0, Dots = 1, VerticalBars = 2, HairCross = 3, Cones = 4 }
Public Types inherited from MdiSubWindow
enum | CaptionPolicy { Name = 0, Label = 1, Both = 2 }
| Possible window captions. More...
enum | Status { Hidden = -1, Normal = 0, Minimized = 1, Maximized = 2 }

## Public Slots

void | addFunction (const QString &s, double xl, double xr, double yl, double yr, double zl, double zr, int columns=40, int rows=30)
void | addParametricSurface (const QString &xFormula, const QString &yFormula, const QString &zFormula, double ul, double ur, double vl, double vr, int columns, int rows, bool uPeriodic, bool vPeriodic)
void | copy (Graph3D *g)
void | initCoord ()
void | initPlot ()
void | insertNewData (Table *table, const QString &colName)
Matrix * | matrix ()
Public Slots inherited from MdiSubWindow

## Signals

void | modified ()
void | showOptionsDialog ()
Signals inherited from MdiSubWindow
void | closedWindow (MdiSubWindow *)
| Emitted when the window was closed. More...
void | hiddenWindow (MdiSubWindow *)
| Emitted when the window was hidden. More...
void | modifiedWindow (MdiSubWindow *)
void | resizedWindow (MdiSubWindow *)
void | showContextMenu ()
| Show the context menu. More...
void | statusChanged (MdiSubWindow *)
| Emitted when the window status changed. More...

## Public Member Functions

void | addData (Table *table, int xCol, int yCol, int zCol, int type=0)
void | addMatrixData (Matrix *m)
void | addMatrixData (Matrix *m, double xl, double xr, double yl, double yr, double zl, double zr)
void | addRibbon (Table *table, const QString &xColName, const QString &yColName)
void | addRibbon (Table *table, const QString &xColName, const QString &yColName, double xl, double xr, double yl, double yr, double zl, double zr)
void | animate (bool on=true)
bool | antialiasing ()
bool | autoscale ()
void | changeDataColumn (Table *table, const QString &colName, int type=0)
void | clearData ()
Qwt3D::CoordinateSystem * | coordinateSystem ()
Qwt3D::COORDSTYLE | coordStyle ()
void | copyImage ()
void | customPlotStyle (int style)
void | exportImage (const QString &fileName, int quality=100, bool transparent=false, int dpi=0, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0, int compression=0)
void | exportPDF (const QString &fileName)
void | exportToFile (const QString &fileName)
void | exportVector (const QString &fileName, int textExportMode=0, int sortMode=1, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | findBestLayout ()
Qwt3D::FLOORSTYLE | floorStyle ()
| Graph3D (const QString &label, ApplicationWindow *parent, const char *name=0, Qt::WFlags f=0)
bool | hasData ()
bool | isAnimated ()
void | loadData (Table *table, int xCol, int yCol, int zCol, double xl=0.0, double xr=0.0, double yl=0.0, double yr=0.0, double zl=0.0, double zr=0.0, int axis=-1)
QPixmap | pixmap (int dpi=0, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
Qwt3D::PLOTSTYLE | plotStyle ()
void | print ()
void | print (QPrinter *printer)
void | printCropmarks (bool on)
bool | printCropmarksEnabled ()
void | resetNonEmptyStyle ()
void | rotate ()
| Used for the animation: rotates the scene with 1/360 degrees. More...
void | rotationChanged (double, double, double)
void | save (const QString &fn, const QString &geometry, bool=false)
void | scaleChanged (double, double, double)
bool | scaleOnPrint ()
void | setAntialiasing (bool smooth=true)
void | setAutoscale (bool on=true)
| Enables/Disables autoscaling using findBestLayout(). More...
void | setOptions (bool legend, int r, int dist)
void | setOptions (const QStringList &lst)
void | setPlotAssociation (const QString &s)
void | setRotation (double xVal, double yVal, double zVal)
void | setScale (double xVal, double yVal, double zVal)
void | setScale (int axis, double start, double end, int majorTicks, int minorTicks, Qwt3D::SCALETYPE type)
void | setScaleOnPrint (bool on)
void | setShift (double xVal, double yVal, double zVal)
void | setStyle (const QStringList &st)
void | setZoom (double val)
void | shiftChanged (double, double, double)
void | showWorksheet ()
Qwt3D::Plot3D * | surface ()
Table * | table ()
PlotType | tablePlotType ()
void | update ()
void | updateData (Table *table)
void | updateDataXY (Table *table, int xCol, int yCol)
void | updateMatrixData (Matrix *m)
double | xRotation ()
double | xScale ()
double | xShift ()
double | yRotation ()
double | yScale ()
double | yShift ()
double | zoom ()
void | zoomChanged (double)
double | zRotation ()
double | zScale ()
double | zShift ()
| ~Graph3D ()
User Functions
UserParametricSurface * | parametricSurface ()
UserFunction * | userFunction ()
QString | formula ()
Event Handlers
void | dropEvent (QDropEvent *)
void | dragEnterEvent (QDragEnterEvent *)
bool | eventFilter (QObject *object, QEvent *e)
void | resizeEvent (QResizeEvent *)
void | scaleFonts (double factor)
void | setIgnoreFonts (bool ok)
Axes
void | setFramed ()
void | setBoxed ()
void | setNoAxes ()
bool | isOrthogonal ()
void | setOrthogonal (bool on=true)
QStringList | axesLabels ()
void | setAxesLabels (const QStringList &lst)
void | resetAxesLabels ()
void | setXAxisLabel (const QString &)
void | setYAxisLabel (const QString &)
void | setZAxisLabel (const QString &)
QFont | xAxisLabelFont ()
QFont | yAxisLabelFont ()
QFont | zAxisLabelFont ()
void | setXAxisLabelFont (const QFont &fnt)
void | setYAxisLabelFont (const QFont &fnt)
void | setZAxisLabelFont (const QFont &fnt)
void | setXAxisLabelFont (const QStringList &lst)
void | setYAxisLabelFont (const QStringList &lst)
void | setZAxisLabelFont (const QStringList &lst)
QFont | numbersFont ()
void | setNumbersFont (const QFont &font)
double | xStart ()
double | xStop ()
double | yStart ()
double | yStop ()
double | zStart ()
double | zStop ()
int | axisType (int axis)
void | setAxisType (int axis, int type)
int | axisNumericFormat (int axis)
int | axisNumericPrecision (int axis)
void | setAxisNumericFormat (int axis, int format, int precision)
void | setScales (double xl, double xr, double yl, double yr, double zl, double zr, int axis=-1)
void | updateScales (double xl, double xr, double yl, double yr, double zl, double zr, int xcol, int ycol)
void | updateScalesFromMatrix (double xl, double xr, double yl, double yr, double zl, double zr)
QStringList | scaleTicks ()
void | setTicks (const QStringList &options)
void | setXAxisTickLength (double majorLength, double minorLength)
void | setYAxisTickLength (double majorLength, double minorLength)
void | setZAxisTickLength (double majorLength, double minorLength)
void | setAxisTickLength (int axis, double majorLength, double minorLength)
void | setLabelsDistance (int val)
int | labelsDistance ()
QStringList | axisTickLengths ()
void | setTickLengths (const QStringList &lst)
Mesh
void | setPolygonStyle ()
void | setHiddenLineStyle ()
void | setWireframeStyle ()
void | setFilledMeshStyle ()
void | setDotStyle ()
void | setBarStyle ()
void | setFloorData ()
void | setFloorIsolines ()
void | setEmptyFloor ()
void | setMeshLineWidth (double lw)
double | meshLineWidth ()
Grid
int | grids ()
void | setGrid (int s, bool b)
void | setGrid (int grids)
void | setLeftGrid (bool b=true)
void | setRightGrid (bool b=true)
void | setCeilGrid (bool b=true)
void | setFloorGrid (bool b=true)
void | setFrontGrid (bool b=true)
void | setBackGrid (bool b=true)
Title
QFont | titleFont ()
void | setTitleFont (const QFont &font)
QString | plotTitle ()
QColor | titleColor ()
void | setTitle (const QStringList &lst)
void | setTitle (const QString &s, const QColor &color=QColor(Qt::black), const QFont &font=QFont())
Resolution
void | setResolution (int r)
int | resolution ()
Legend
void | showColorLegend (bool show=true)
bool | isLegendOn ()
Bars
double | barsRadius ()
void | setBarRadius (double rad)
bool | barLines ()
void | setBarLines (bool lines=true)
bool | filledBars ()
void | setFilledBars (bool filled=true)
Scatter Plots
double | pointsSize ()
bool | smoothPoints ()
void | setDotOptions (double size, bool smooth)
bool | smoothCrossHair ()
bool | boxedCrossHair ()
double | crossHairRadius ()
double | crossHairLinewidth ()
void | setCrossOptions (double rad, double linewidth, bool smooth, bool boxed)
void | setCrossStyle ()
double | coneRadius ()
int | coneQuality ()
void | setConeOptions (double rad, int quality)
void | setConeStyle ()
PointStyle | pointType ()
Public Member Functions inherited from MdiSubWindow
ApplicationWindow * | applicationWindow ()
| Returns a pointer to the parent application. More...
void | askOnCloseEvent (bool ask)
| Toggle the "ask on close" flag. More...
QString | aspect ()
| Return the window status as a string. More...
QString | birthDate ()
| Return the creation date. More...
CaptionPolicy | captionPolicy ()
| Return the caption policy. More...
void | closeEvent (QCloseEvent *)
| Close event handler. More...
bool | eventFilter (QObject *object, QEvent *e)
| Filters other object's events (customizes title bar's context menu) More...
Folder * | folder ()
| Returns the pointer to the parent folder of the window. More...
| MdiSubWindow (const QString &label=QString(), ApplicationWindow *app=0, const QString &name=QString(), Qt::WFlags f=0)
| Constructor. More...
QSize | minRestoreSize ()
| Returns the size the window had before a change state event to minimized. More...
QString | name ()
| Return the window name. More...
void | notifyChanges ()
| Notifies the main application that the window has been modified. More...
void | resizeEvent (QResizeEvent *)
virtual void | restore (const QStringList &)
| Not implemented yet. More...
void | restoreWindow ()
| Show window making sure that layers in MultiLayer windows are not resized. More...
void | setBirthDate (const QString &s)
| Set the creation date. More...
void | setCaptionPolicy (CaptionPolicy policy)
| Set the caption policy. More...
void | setFolder (Folder *f)
| Initializes the pointer to the parent folder of the window. More...
virtual void | setHidden ()
| Notifies that a window was hidden by a direct user action. More...
void | setMaximized ()
void | setMinimized ()
void | setName (const QString &s)
| Set the window name. More...
void | setNormal ()
void | setStatus (Status s)
| Set the window status flag (hidden, normal, minimized or maximized) More...
void | setWindowLabel (const QString &s)
| Set the window label. More...
virtual QString | sizeToString ()
| Size of the widget as a string. More...
Status | status ()
| Return the window status flag (hidden, normal, minimized or maximized) More...
QString | windowLabel ()
| Return the window label. More...

## Static Public Member Functions

static Graph3D * | restore (ApplicationWindow *app, const QStringList &lst, int fileVersion)
Static Public Member Functions inherited from MdiSubWindow
static QString | parseAsciiFile (const QString &fname, const QString &commentString, int endLine, int ignoreFirstLines, int maxRows, int &rows)
| Static function used as a workaround for ASCII files having end line char != ' '. More...

## Private Member Functions

Curve * | addCurve ()
void | addHiddenConstantCurve (double xl, double xr, double yl, double yr, double zl, double zr)
void | changeScales (double xl, double xr, double yl, double yr, double zl, double zr)
void | removeCurve ()
void | resetAxesType ()

## Private Attributes

int | animation_redraw_wait
| Wait this many msecs before redraw 3D plot (used for animations) More...
QColor | axesCol
QColor | bgCol
Qwt3D::StandardColor * | col_
int | conesQuality
double | conesRad
bool | crossHairBoxed
double | crossHairLineWidth
double | crossHairRad
bool | crossHairSmooth
Curve * | d_active_curve
double | d_alpha
| Transparency. More...
bool | d_autoscale
LinearColorMap | d_color_map
QString | d_color_map_file
| File name of the color map used for the data (if any) More...
Curve * | d_const_curve
ConstFunction * | d_const_func
UserFunction * | d_func
Matrix * | d_matrix
double | d_point_size
bool | d_print_cropmarks
bool | d_scale_on_print
bool | d_smooth_points
| Draw 3D points with smoothed angles. More...
UserParametricSurface * | d_surface
Table * | d_table
PlotType | d_table_plot_type
QTimer * | d_timer
QColor | gridCol
bool | ignoreFonts
QStringList | labels
QColor | labelsCol
int | labelsDist
int | legendMajorTicks
bool | legendOn
QColor | meshCol
QColor | numCol
QString | plotAssociation
PointStyle | pointStyle
QVector< int > | scaleType
Qwt3D::Plot3D * | sp
Qwt3D::PLOTSTYLE | style_
QString | title
QColor | titleCol
QFont | titleFnt
Bar options
double | d_bars_rad
bool | d_filled_bars
bool | d_bar_lines

## Colors

void | setDataColors (const QColor &cMin, const QColor &cMax)
void | setDataColorMap (const LinearColorMap &colorMap)
void | setDataColorMap (const QString &fileName)
void | setDataColorMap (const ColorVector &colors)
void | setDataColorMap (const ColorVector &colors, const LinearColorMap &colorMap)
void | changeTransparency (double t)
void | setTransparency (double t)
double | transparency ()
QColor | meshColor ()
QColor | axesColor ()
QColor | labelColor ()
QColor | numColor ()
QColor | bgColor ()
QColor | gridColor ()
QString | colorMapFile ()
LinearColorMap | colorMap ()
LinearColorMap * | colorMapPointer ()
void | setMeshColor (const QColor &)
void | setAxesColor (const QColor &)
void | setNumbersColor (const QColor &)
void | setLabelsColor (const QColor &)
void | setBackgroundColor (const QColor &)
void | setGridColor (const QColor &)
static bool | openColorMapFile (ColorVector &cv, QString fname)

## Additional Inherited Members

Protected Member Functions inherited from MdiSubWindow
virtual void | changeEvent (QEvent *event)
| Catches status changes. More...

## Detailed Description

3D graph widget.

This provides 3D plotting using Qwt3D.

# Future Plans

If MultiLayer is extended to accept any QWidget, Graph3D wouldn't have to inherit from MdiSubWindow any more. It could also make sense to unify the interface with other plot types; see documentation of Graph. Big problem here: export to vector formats. Qwt3D's export filters write directly to a file, so they can't be combined with output generated via QPrinter.

## Member Enumeration Documentation

enum Graph3D::AxisNumericFormat

Enumerator
Default |
Decimal |
Scientific |
Engineering |

enum Graph3D::PlotType

Enumerator
NoTable |
Scatter |
Trajectory |
Bars |
Ribbon |

enum Graph3D::PointStyle

Enumerator
None |
Dots |
VerticalBars |
HairCross |
Cones |

## Constructor & Destructor Documentation

Graph3D::Graph3D | ( | const QString & | label,
|  | ApplicationWindow * | parent,
|  | const char * | name = `0`,
|  | Qt::WFlags | f = `0`
| ) |  |

References initPlot().

Graph3D::~Graph3D | ( |  | ) |

References removeCurve(), and sp.

## Member Function Documentation

Curve * Graph3D::addCurve | ( |  | ) |

private

References MdiSubWindow::applicationWindow(), ApplicationWindow::d_3D_resolution, ApplicationWindow::d_3D_smooth_mesh, d_active_curve, numbersFont(), removeCurve(), setTitle(), sp, title, titleCol, and titleFnt.

Referenced by addFunction(), addMatrixData(), addParametricSurface(), addRibbon(), loadData(), updateDataXY(), updateMatrixData(), and updateScalesFromMatrix().

void Graph3D::addData | ( | Table * | table,
|  | int | xCol,
|  | int | yCol,
|  | int | zCol,
|  | int | type = `0`
| ) |  |

References Bars, d_table_plot_type, findBestLayout(), loadData(), Scatter, setBarStyle(), setDotStyle(), setWireframeStyle(), and Trajectory.

Referenced by changeDataColumn(), dropEvent(), insertNewData(), PlotWizard::plot3D(), and ApplicationWindow::plotXYZ().

void Graph3D::addFunction | ( | const QString & | s,
|  | double | xl,
|  | double | xr,
|  | double | yl,
|  | double | yr,
|  | double | zl,
|  | double | zr,
|  | int | columns = `40`,
|  | int | rows = `30`
| ) |  |

slot

References addCurve(), d_active_curve, d_autoscale, d_func, findBestLayout(), legendMajorTicks, legendOn, None, pointStyle, UserFunction::setMesh(), sp, style_, and update().

Referenced by SurfaceDialog::acceptFunction(), copy(), ApplicationWindow::plotSurface(), and restore().

void Graph3D::addHiddenConstantCurve | ( | double | xl,
|  | double | xr,
|  | double | yl,
|  | double | yr,
|  | double | zl,
|  | double | zr
| ) |  |

private

References d_const_curve, d_const_func, and sp.

Referenced by changeScales().

void Graph3D::addMatrixData | ( | Matrix * | m | ) |

References addCurve(), Matrix::allocateMatrixData(), Matrix::cell(), d_active_curve, d_autoscale, d_matrix, d_table, findBestLayout(), Matrix::freeMatrixData(), Matrix::isEmpty(), legendMajorTicks, legendOn, Matrix::numCols(), Matrix::numRows(), plotAssociation, sp, update(), Matrix::xEnd(), Matrix::xStart(), Matrix::yEnd(), and Matrix::yStart().

Referenced by ApplicationWindow::change3DMatrix(), copy(), dropEvent(), ApplicationWindow::insert3DMatrixPlot(), ApplicationWindow::plot3DMatrix(), and restore().

void Graph3D::addMatrixData | ( | Matrix * | m,
|  | double | xl,
|  | double | xr,
|  | double | yl,
|  | double | yr,
|  | double | zl,
|  | double | zr
| ) |  |

References d_matrix, d_table, Matrix::isEmpty(), plotAssociation, and updateScalesFromMatrix().

void Graph3D::addParametricSurface | ( | const QString & | xFormula,
|  | const QString & | yFormula,
|  | const QString & | zFormula,
|  | double | ul,
|  | double | ur,
|  | double | vl,
|  | double | vr,
|  | int | columns,
|  | int | rows,
|  | bool | uPeriodic,
|  | bool | vPeriodic
| ) |  |

slot

References addCurve(), d_active_curve, d_surface, findBestLayout(), legendMajorTicks, legendOn, None, pointStyle, UserParametricSurface::setDomain(), UserParametricSurface::setMesh(), UserParametricSurface::setPeriodic(), sp, style_, and update().

Referenced by SurfaceDialog::acceptParametricSurface(), copy(), ApplicationWindow::plotParametricSurface(), and restore().

void Graph3D::addRibbon | ( | Table * | table,
|  | const QString & | xColName,
|  | const QString & | yColName
| ) |  |

References addCurve(), Matrix::allocateMatrixData(), Table::cell(), Table::colIndex(), d_active_curve, d_autoscale, d_table, d_table_plot_type, findBestLayout(), Matrix::freeMatrixData(), legendMajorTicks, legendOn, Table::numRows(), plotAssociation, Ribbon, sp, table(), and Table::text().

Referenced by changeDataColumn(), copy(), PlotWizard::plot3DRibbon(), ApplicationWindow::plotXYZ(), and restore().

void Graph3D::addRibbon | ( | Table * | table,
|  | const QString & | xColName,
|  | const QString & | yColName,
|  | double | xl,
|  | double | xr,
|  | double | yl,
|  | double | yr,
|  | double | zl,
|  | double | zr
| ) |  |

References addCurve(), Matrix::allocateMatrixData(), Table::cell(), Table::colIndex(), d_active_curve, d_table, d_table_plot_type, Matrix::freeMatrixData(), legendMajorTicks, legendOn, Table::numRows(), plotAssociation, Ribbon, sp, table(), and Table::text().

void Graph3D::animate | ( | bool | on = `true` | ) |

Turns 3D animation on or off

References animation_redraw_wait, and d_timer.

Referenced by copy(), and ApplicationWindow::toggle3DAnimation().

bool Graph3D::antialiasing | ( |  | ) |

inline

Referenced by copy().

bool Graph3D::autoscale | ( |  | ) |

inline

QColor Graph3D::axesColor | ( |  | ) |

inline

Referenced by copy(), setAxesColor(), and Plot3DDialog::setPlot().

QStringList Graph3D::axesLabels | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

int Graph3D::axisNumericFormat | ( | int | axis | ) |

References sp.

Referenced by save(), and Plot3DDialog::viewAxisOptions().

int Graph3D::axisNumericPrecision | ( | int | axis | ) |

References sp.

Referenced by save(), and Plot3DDialog::viewAxisOptions().

QStringList Graph3D::axisTickLengths | ( |  | ) |

References sp.

Referenced by copy(), save(), Plot3DDialog::setPlot(), setScales(), and Plot3DDialog::viewAxisOptions().

int Graph3D::axisType | ( | int | axis | ) |

inline

Referenced by copy(), and Plot3DDialog::viewScaleLimits().

bool Graph3D::barLines | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::showBarsTab().

double Graph3D::barsRadius | ( |  | ) |

References d_active_curve, and d_bars_rad.

Referenced by copy(), and Plot3DDialog::showBarsTab().

QColor Graph3D::bgColor | ( |  | ) |

inline

Referenced by copy(), setBackgroundColor(), and Plot3DDialog::setPlot().

bool Graph3D::boxedCrossHair | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

void Graph3D::changeDataColumn | ( | Table * | table,
|  | const QString & | colName,
|  | int | type = `0`
| ) |  |

References addData(), addRibbon(), Table::colIndex(), Table::colName(), Table::colX(), Table::colY(), d_autoscale, resetAxesLabels(), resetNonEmptyStyle(), Ribbon, setFilledMeshStyle(), xStart(), xStop(), yStart(), yStop(), zStart(), and zStop().

Referenced by ApplicationWindow::change3DData().

void Graph3D::changeScales | ( | double | xl,
|  | double | xr,
|  | double | yl,
|  | double | yr,
|  | double | zl,
|  | double | zr
| ) |  |

private

References addHiddenConstantCurve(), and d_const_func.

Referenced by loadData(), and updateScalesFromMatrix().

void Graph3D::changeTransparency | ( | double | t | ) |

References d_active_curve, d_alpha, legendOn, modified(), and sp.

Referenced by Plot3DDialog::changeTransparency(), and Plot3DDialog::updatePlot().

void Graph3D::clearData | ( |  | ) |

References d_matrix, d_table, d_table_plot_type, NoTable, plotAssociation, removeCurve(), and sp.

Referenced by loadData(), and updateMatrixData().

LinearColorMap Graph3D::colorMap | ( |  | ) |

inline

Referenced by copy(), setDataColorMap(), and Plot3DDialog::setPlot().

QString Graph3D::colorMapFile | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

LinearColorMap* Graph3D::colorMapPointer | ( |  | ) |

inline

int Graph3D::coneQuality | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

double Graph3D::coneRadius | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

Qwt3D::CoordinateSystem* Graph3D::coordinateSystem | ( |  | ) |

inline

Referenced by restore(), and Plot3DDialog::updatePlot().

Qwt3D::COORDSTYLE Graph3D::coordStyle | ( |  | ) |

References sp.

Referenced by copy(), ApplicationWindow::custom3DActions(), and Plot3DDialog::setPlot().

void Graph3D::copy | ( | Graph3D * | g | ) |

slot

References addFunction(), addMatrixData(), addParametricSurface(), addRibbon(), animate(), antialiasing(), axesColor(), axesLabels(), axisTickLengths(), axisType(), barLines(), barsRadius(), bgColor(), boxedCrossHair(), Table::colIndex(), colorMap(), colorMapFile(), UserFunction::columns(), UserParametricSurface::columns(), coneQuality(), coneRadius(), Cones, conesQuality, conesRad, coordStyle(), crossHairBoxed, crossHairLinewidth(), crossHairLineWidth, crossHairRad, crossHairRadius(), crossHairSmooth, customPlotStyle(), d_active_curve, d_bar_lines, d_bars_rad, d_filled_bars, d_point_size, d_print_cropmarks, d_scale_on_print, d_smooth_points, Dots, filledBars(), floorStyle(), formula(), UserFunction::function(), grids(), HairCross, isAnimated(), isLegendOn(), isOrthogonal(), labelColor(), labelsDistance(), loadData(), matrix(), meshColor(), meshLineWidth(), None, numbersFont(), numColor(), parametricSurface(), plotStyle(), plotTitle(), pointsSize(), pointStyle, pointType(), printCropmarksEnabled(), resetAxesType(), resolution(), UserFunction::rows(), UserParametricSurface::rows(), scaleOnPrint(), scaleTicks(), scaleType, setAxesColor(), setAxesLabels(), setBackgroundColor(), setBarRadius(), setConeOptions(), setCrossOptions(), setDataColorMap(), setGrid(), setLabelsColor(), setMeshColor(), setMeshLineWidth(), setNumbersColor(), setNumbersFont(), setOptions(), setOrthogonal(), setRotation(), setScale(), setShift(), setTickLengths(), setTicks(), setTitle(), setTransparency(), setXAxisLabelFont(), setYAxisLabelFont(), setZAxisLabelFont(), setZoom(), smoothCrossHair(), smoothPoints(), sp, style_, surface(), table(), titleColor(), titleFont(), transparency(), UserParametricSurface::uEnd(), UserParametricSurface::uPeriodic(), userFunction(), UserParametricSurface::uStart(), UserParametricSurface::vEnd(), VerticalBars, UserParametricSurface::vPeriodic(), UserParametricSurface::vStart(), xAxisLabelFont(), UserParametricSurface::xFormula(), xRotation(), xScale(), xShift(), xStart(), xStop(), yAxisLabelFont(), UserParametricSurface::yFormula(), yRotation(), yScale(), yShift(), yStart(), yStop(), zAxisLabelFont(), UserParametricSurface::zFormula(), zoom(), zRotation(), zScale(), zShift(), zStart(), and zStop().

void Graph3D::copyImage | ( |  | ) |

References sp.

double Graph3D::crossHairLinewidth | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

double Graph3D::crossHairRadius | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

void Graph3D::customPlotStyle | ( | int | style | ) |

References d_active_curve, d_bars_rad, d_point_size, d_smooth_points, Dots, legendOn, None, pointStyle, sp, style_, and VerticalBars.

Referenced by copy(), and ApplicationWindow::plot3DMatrix().

void Graph3D::dragEnterEvent | ( | QDragEnterEvent * | e | ) |

void Graph3D::dropEvent | ( | QDropEvent * | event | ) |

References addData(), addMatrixData(), Table::colIndex(), Table::colPlotDesignation(), Table::colX(), Table::colY(), Table::text(), Trajectory, and Table::Z.

bool Graph3D::eventFilter | ( | QObject * | object,
|  | QEvent * | e
| ) |  |

References MdiSubWindow::eventFilter(), showOptionsDialog(), sp, and TRUE.

void Graph3D::exportImage | ( | const QString & | fileName,
|  | int | quality = `100`,
|  | bool | transparent = `false`,
|  | int | dpi = `0`,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`,
|  | int | compression = `0`
| ) |  |

References pixmap().

Referenced by ApplicationWindow::exportAllGraphs(), and exportToFile().

void Graph3D::exportPDF | ( | const QString & | fileName | ) |

virtual

Reimplemented from MdiSubWindow.

References exportVector().

void Graph3D::exportToFile | ( | const QString & | fileName | ) |

References exportImage(), and exportVector().

void Graph3D::exportVector | ( | const QString & | fileName,
|  | int | textExportMode = `0`,
|  | int | sortMode = `1`,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

References Graph::customPrintSize(), scaleFonts(), and sp.

Referenced by ApplicationWindow::exportAllGraphs(), exportPDF(), and exportToFile().

bool Graph3D::filledBars | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::showBarsTab().

void Graph3D::findBestLayout | ( |  | ) |

References setAxisTickLength(), sp, xScale(), yScale(), and zScale().

Referenced by addData(), addFunction(), addMatrixData(), addParametricSurface(), addRibbon(), ApplicationWindow::fitFrameToLayer(), setScales(), updateData(), and updateMatrixData().

Qwt3D::FLOORSTYLE Graph3D::floorStyle | ( |  | ) |

References d_active_curve.

Referenced by copy(), ApplicationWindow::custom3DActions(), and save().

QString Graph3D::formula | ( |  | ) |

References d_func, UserFunction::function(), and plotAssociation.

Referenced by copy(), restore(), ApplicationWindow::showWindowPopupMenu(), and ApplicationWindow::updateCurves().

QColor Graph3D::gridColor | ( |  | ) |

inline

Referenced by setGridColor().

int Graph3D::grids | ( |  | ) |

References sp.

Referenced by copy(), ApplicationWindow::custom3DActions(), and Plot3DDialog::setPlot().

bool Graph3D::hasData | ( |  | ) |

inline

Referenced by ApplicationWindow::clone(), ApplicationWindow::editSurfacePlot(), ApplicationWindow::showPlot3dDialog(), and ApplicationWindow::showWindowContextMenu().

void Graph3D::initCoord | ( |  | ) |

slot

References labels, and sp.

Referenced by initPlot().

void Graph3D::initPlot | ( |  | ) |

slot

References animation_redraw_wait, MdiSubWindow::applicationWindow(), col_, conesQuality, conesRad, crossHairBoxed, crossHairLineWidth, crossHairRad, crossHairSmooth, ApplicationWindow::d_3D_autoscale, ApplicationWindow::d_3D_axes_color, ApplicationWindow::d_3D_axes_font, ApplicationWindow::d_3D_background_color, ApplicationWindow::d_3D_color_map, ApplicationWindow::d_3D_grid_color, ApplicationWindow::d_3D_labels_color, ApplicationWindow::d_3D_legend, ApplicationWindow::d_3D_major_grids, ApplicationWindow::d_3D_major_style, ApplicationWindow::d_3D_major_width, ApplicationWindow::d_3D_mesh_color, ApplicationWindow::d_3D_minor_grid_color, ApplicationWindow::d_3D_minor_grids, ApplicationWindow::d_3D_minor_style, ApplicationWindow::d_3D_minor_width, ApplicationWindow::d_3D_numbers_color, ApplicationWindow::d_3D_numbers_font, ApplicationWindow::d_3D_orthogonal, ApplicationWindow::d_3D_projection, ApplicationWindow::d_3D_smooth_mesh, ApplicationWindow::d_3D_title_font, d_active_curve, d_alpha, d_autoscale, d_bar_lines, d_bars_rad, d_color_map, d_color_map_file, d_const_curve, d_const_func, d_filled_bars, d_func, d_matrix, d_point_size, d_print_cropmarks, ApplicationWindow::d_print_cropmarks, d_scale_on_print, ApplicationWindow::d_scale_plots_on_print, d_smooth_points, d_surface, d_table, d_table_plot_type, d_timer, ignoreFonts, initCoord(), labelsDist, legendMajorTicks, legendOn, None, NoTable, plotAssociation, pointStyle, rotate(), rotationChanged(), scaleChanged(), scaleType, setAxesColor(), setBackgroundColor(), setLabelsColor(), setMeshColor(), setNumbersColor(), setNumbersFont(), shiftChanged(), sp, style_, title, titleCol, titleFnt, and zoomChanged().

Referenced by Graph3D().

void Graph3D::insertNewData | ( | Table * | table,
|  | const QString & | colName
| ) |  |

slot

References addData(), Table::colIndex(), Table::colX(), Table::colY(), Trajectory, and update().

Referenced by ApplicationWindow::insertNew3DData().

bool Graph3D::isAnimated | ( |  | ) |

inline

Referenced by copy(), and ApplicationWindow::custom3DActions().

bool Graph3D::isLegendOn | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

bool Graph3D::isOrthogonal | ( |  | ) |

inline

Referenced by copy(), ApplicationWindow::custom3DActions(), and Plot3DDialog::setPlot().

QColor Graph3D::labelColor | ( |  | ) |

inline

Referenced by copy(), setLabelsColor(), and Plot3DDialog::setPlot().

int Graph3D::labelsDistance | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

void Graph3D::loadData | ( | Table * | table,
|  | int | xCol,
|  | int | yCol,
|  | int | zCol,
|  | double | xl = `0.0`,
|  | double | xr = `0.0`,
|  | double | yl = `0.0`,
|  | double | yr = `0.0`,
|  | double | zl = `0.0`,
|  | double | zr = `0.0`,
|  | int | axis = `-1`
| ) |  |

References addCurve(), Table::cell(), changeScales(), clearData(), Table::colName(), d_active_curve, d_matrix, d_table, legendMajorTicks, legendOn, Table::numRows(), plotAssociation, sp, table(), and Table::text().

Referenced by addData(), copy(), restore(), setScales(), and updateData().

Matrix* Graph3D::matrix | ( |  | ) |

inline slot

Referenced by ApplicationWindow::change3DMatrix(), copy(), ApplicationWindow::saveWindow(), Plot3DDialog::setPlot(), ApplicationWindow::showWindowContextMenu(), and ApplicationWindow::showWindowPopupMenu().

QColor Graph3D::meshColor | ( |  | ) |

inline

Referenced by copy(), setMeshColor(), and Plot3DDialog::setPlot().

double Graph3D::meshLineWidth | ( |  | ) |

inline

Referenced by copy(), save(), and Plot3DDialog::setPlot().

void Graph3D::modified | ( |  | ) |

signal

Referenced by changeTransparency(), resizeEvent(), rotationChanged(), scaleChanged(), setAxisNumericFormat(), setGrid(), setLabelsDistance(), setResolution(), setScale(), setXAxisLabel(), setYAxisLabel(), setZAxisLabel(), shiftChanged(), showColorLegend(), and zoomChanged().

QFont Graph3D::numbersFont | ( |  | ) |

References sp.

Referenced by addCurve(), copy(), and Plot3DDialog::setPlot().

QColor Graph3D::numColor | ( |  | ) |

inline

Referenced by copy(), setNumbersColor(), and Plot3DDialog::setPlot().

bool Graph3D::openColorMapFile | ( | ColorVector & | cv,
|  | QString | fname
| ) |  |

static

Referenced by Plot3DDialog::setColorMapPreview(), setDataColorMap(), and ColorMapPreviewDialog::updatePreview().

UserParametricSurface* Graph3D::parametricSurface | ( |  | ) |

inline

Referenced by copy(), ApplicationWindow::editSurfacePlot(), SurfaceDialog::setParametricSurface(), Plot3DDialog::setPlot(), and ApplicationWindow::showWindowContextMenu().

QPixmap Graph3D::pixmap | ( | int | dpi = `0`,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

References Graph::customPrintSize(), scaleFonts(), and sp.

Referenced by exportImage().

Qwt3D::PLOTSTYLE Graph3D::plotStyle | ( |  | ) |

References d_active_curve, and style_.

Referenced by copy(), ApplicationWindow::custom3DActions(), save(), and Plot3DDialog::setPlot().

QString Graph3D::plotTitle | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

double Graph3D::pointsSize | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

PointStyle Graph3D::pointType | ( |  | ) |

inline

Referenced by copy(), ApplicationWindow::custom3DActions(), and Plot3DDialog::setPlot().

void Graph3D::print | ( |  | ) |

virtual

Reimplemented from MdiSubWindow.

void Graph3D::print | ( | QPrinter * | printer | ) |

virtual

Reimplemented from MdiSubWindow.

References MdiSubWindow::aspect(), d_print_cropmarks, d_scale_on_print, and sp.

void Graph3D::printCropmarks | ( | bool | on | ) |

inline

Referenced by Plot3DDialog::updatePlot().

bool Graph3D::printCropmarksEnabled | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

void Graph3D::removeCurve | ( |  | ) |

private

References d_active_curve, d_const_curve, d_const_func, d_func, and d_surface.

Referenced by addCurve(), clearData(), and ~Graph3D().

void Graph3D::resetAxesLabels | ( |  | ) |

References d_matrix, labels, plotAssociation, and sp.

Referenced by changeDataColumn(), and update().

void Graph3D::resetAxesType | ( |  | ) |

private

References scaleType, and sp.

Referenced by copy(), and restore().

void Graph3D::resetNonEmptyStyle | ( |  | ) |

References Cones, conesQuality, conesRad, crossHairBoxed, crossHairLineWidth, crossHairRad, crossHairSmooth, d_active_curve, d_bars_rad, d_point_size, d_smooth_points, Dots, HairCross, None, pointStyle, style_, and VerticalBars.

Referenced by changeDataColumn(), updateData(), and updateDataXY().

void Graph3D::resizeEvent | ( | QResizeEvent * | e | ) |

References ignoreFonts, modified(), MdiSubWindow::resizedWindow(), and scaleFonts().

int Graph3D::resolution | ( |  | ) |

inline

Referenced by copy(), save(), and Plot3DDialog::setPlot().

Graph3D * Graph3D::restore | ( | ApplicationWindow * | app,
|  | const QStringList & | lst,
|  | int | fileVersion
| ) |  |

static

References addFunction(), addMatrixData(), addParametricSurface(), addRibbon(), Table::colIndex(), coordinateSystem(), formula(), LinearColorMap::fromXmlStringList(), loadData(), ApplicationWindow::matrix(), ApplicationWindow::newPlot3D(), resetAxesType(), ApplicationWindow::restoreWindowGeometry(), setAxesColor(), setAxesLabels(), setAxisNumericFormat(), setAxisType(), setBackgroundColor(), MdiSubWindow::setBirthDate(), MdiSubWindow::setCaptionPolicy(), setDataColorMap(), setDataColors(), setGrid(), setGridColor(), setIgnoreFonts(), setLabelsColor(), ApplicationWindow::setListViewDate(), setMeshColor(), setMeshLineWidth(), setNumbersColor(), setNumbersFont(), setOptions(), setOrthogonal(), setRotation(), setScale(), setShift(), setStyle(), setTickLengths(), setTicks(), setTitle(), setTransparency(), MdiSubWindow::setWindowLabel(), setXAxisLabelFont(), setYAxisLabelFont(), setZAxisLabelFont(), setZoom(), ApplicationWindow::table(), and update().

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::openProject(), and ApplicationWindow::openTemplate().

void Graph3D::rotate | ( |  | ) |

Used for the animation: rotates the scene with 1/360 degrees.

References sp.

Referenced by initPlot().

void Graph3D::rotationChanged | ( | double | ,
|  | double | ,
|  | double |
| ) |  |

References modified().

Referenced by initPlot().

void Graph3D::save | ( | const QString & | fn,
|  | const QString & | geometry,
|  | bool | = `false`
| ) |  |

virtual

Reimplemented from MdiSubWindow.

References axesCol, axisNumericFormat(), axisNumericPrecision(), axisTickLengths(), bgCol, MdiSubWindow::birthDate(), MdiSubWindow::captionPolicy(), UserFunction::columns(), UserParametricSurface::columns(), Cones, conesQuality, conesRad, crossHairBoxed, crossHairLineWidth, crossHairRad, crossHairSmooth, d_alpha, d_bar_lines, d_bars_rad, d_color_map, d_color_map_file, d_filled_bars, d_func, d_point_size, d_smooth_points, d_surface, Dots, floorStyle(), UserFunction::function(), gridCol, HairCross, labels, labelsCol, labelsDist, legendOn, meshCol, meshLineWidth(), MdiSubWindow::name(), numCol, plotAssociation, plotStyle(), pointStyle, resolution(), UserFunction::rows(), UserParametricSurface::rows(), scaleTicks(), scaleType, sp, title, titleCol, titleFnt, LinearColorMap::toXmlString(), UserParametricSurface::uEnd(), UserParametricSurface::uPeriodic(), UserParametricSurface::uStart(), UserParametricSurface::vEnd(), VerticalBars, UserParametricSurface::vPeriodic(), UserParametricSurface::vStart(), MdiSubWindow::windowLabel(), UserParametricSurface::xFormula(), UserParametricSurface::yFormula(), and UserParametricSurface::zFormula().

void Graph3D::scaleChanged | ( | double | ,
|  | double | ,
|  | double |
| ) |  |

References modified().

Referenced by initPlot().

void Graph3D::scaleFonts | ( | double | factor | ) |

References d_active_curve, setXAxisLabelFont(), setYAxisLabelFont(), setZAxisLabelFont(), sp, titleFnt, xAxisLabelFont(), yAxisLabelFont(), and zAxisLabelFont().

Referenced by exportVector(), pixmap(), and resizeEvent().

bool Graph3D::scaleOnPrint | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

QStringList Graph3D::scaleTicks | ( |  | ) |

References sp.

Referenced by copy(), and save().

void Graph3D::setAntialiasing | ( | bool | smooth = `true` | ) |

References Bars, d_table_plot_type, pointStyle, setBarStyle(), sp, and VerticalBars.

Referenced by ApplicationWindow::setPlot3DOptions().

void Graph3D::setAutoscale | ( | bool | on = `true` | ) |

inline

Enables/Disables autoscaling using findBestLayout().

Referenced by ApplicationWindow::setPlot3DOptions().

void Graph3D::setAxesColor | ( | const QColor & | axesColor | ) |

References axesCol, axesColor(), and sp.

Referenced by copy(), initPlot(), restore(), and Plot3DDialog::updatePlot().

void Graph3D::setAxesLabels | ( | const QStringList & | lst | ) |

References labels, and sp.

Referenced by copy(), and restore().

void Graph3D::setAxisNumericFormat | ( | int | axis,
|  | int | format,
|  | int | precision
| ) |  |

References modified(), and sp.

Referenced by restore(), and Plot3DDialog::updatePlot().

void Graph3D::setAxisTickLength | ( | int | axis,
|  | double | majorLength,
|  | double | minorLength
| ) |  |

References sp.

Referenced by findBestLayout().

void Graph3D::setAxisType | ( | int | axis,
|  | int | type
| ) |  |

References scaleType.

Referenced by restore().

void Graph3D::setBackGrid | ( | bool | b = `true` | ) |

References setGrid().

Referenced by ApplicationWindow::setBackGrid3DPlot().

void Graph3D::setBackgroundColor | ( | const QColor & | bgColor | ) |

References bgCol, bgColor(), and sp.

Referenced by copy(), initPlot(), restore(), and Plot3DDialog::updatePlot().

void Graph3D::setBarLines | ( | bool | lines = `true` | ) |

References d_bar_lines.

Referenced by Plot3DDialog::updatePlot().

void Graph3D::setBarRadius | ( | double | rad | ) |

References d_bars_rad.

Referenced by copy(), and Plot3DDialog::updatePlot().

void Graph3D::setBarStyle | ( |  | ) |

References MdiSubWindow::applicationWindow(), Bars, d_active_curve, d_bar_lines, d_bars_rad, d_filled_bars, d_table_plot_type, pointStyle, sp, style_, and VerticalBars.

Referenced by addData(), setAntialiasing(), ApplicationWindow::setBars3DPlot(), setStyle(), and Plot3DDialog::updatePlot().

void Graph3D::setBoxed | ( |  | ) |

References sp.

Referenced by ApplicationWindow::setBoxed3DPlot().

void Graph3D::setCeilGrid | ( | bool | b = `true` | ) |

References setGrid().

Referenced by ApplicationWindow::setCeilGrid3DPlot().

void Graph3D::setConeOptions | ( | double | rad,
|  | int | quality
| ) |  |

References conesQuality, and conesRad.

Referenced by copy(), and Plot3DDialog::updatePlot().

void Graph3D::setConeStyle | ( |  | ) |

References Cones, conesQuality, conesRad, d_active_curve, pointStyle, sp, and style_.

Referenced by ApplicationWindow::setCones3DPlot(), setStyle(), and Plot3DDialog::updatePlot().

void Graph3D::setCrossOptions | ( | double | rad,
|  | double | linewidth,
|  | bool | smooth,
|  | bool | boxed
| ) |  |

References crossHairBoxed, crossHairLineWidth, crossHairRad, and crossHairSmooth.

Referenced by copy(), and Plot3DDialog::updatePlot().

void Graph3D::setCrossStyle | ( |  | ) |

References crossHairBoxed, crossHairLineWidth, crossHairRad, crossHairSmooth, d_active_curve, HairCross, pointStyle, sp, and style_.

Referenced by ApplicationWindow::setCrosses3DPlot(), setStyle(), and Plot3DDialog::updatePlot().

void Graph3D::setDataColorMap | ( | const LinearColorMap & | colorMap | ) |

References col_, colorMap(), d_active_curve, d_alpha, d_color_map, d_color_map_file, LinearColorMap::intensityRange(), legendOn, and sp.

Referenced by copy(), Plot3DDialog::pickDataColorMap(), ApplicationWindow::plot3DMatrix(), PlotWizard::plot3DRibbon(), ApplicationWindow::plotParametricSurface(), ApplicationWindow::plotSurface(), ApplicationWindow::plotXYZ(), restore(), setDataColorMap(), and Plot3DDialog::updatePlot().

void Graph3D::setDataColorMap | ( | const QString & | fileName | ) |

References d_color_map_file, openColorMapFile(), and setDataColorMap().

void Graph3D::setDataColorMap | ( | const ColorVector & | colors | ) |

References col_, d_active_curve, legendOn, and sp.

void Graph3D::setDataColorMap | ( | const ColorVector & | colors,
|  | const LinearColorMap & | colorMap
| ) |  |

References colorMap(), d_color_map, d_color_map_file, and setDataColorMap().

void Graph3D::setDataColors | ( | const QColor & | cMin,
|  | const QColor & | cMax
| ) |  |

inline

Referenced by restore().

void Graph3D::setDotOptions | ( | double | size,
|  | bool | smooth
| ) |  |

References d_point_size, and d_smooth_points.

Referenced by Plot3DDialog::updatePlot().

void Graph3D::setDotStyle | ( |  | ) |

References d_active_curve, d_point_size, d_smooth_points, Dots, pointStyle, sp, and style_.

Referenced by addData(), ApplicationWindow::setPoints3DPlot(), setStyle(), and Plot3DDialog::updatePlot().

void Graph3D::setEmptyFloor | ( |  | ) |

References d_active_curve, and sp.

Referenced by ApplicationWindow::setEmptyFloor3DPlot().

void Graph3D::setFilledBars | ( | bool | filled = `true` | ) |

References d_filled_bars.

Referenced by Plot3DDialog::updatePlot().

void Graph3D::setFilledMeshStyle | ( |  | ) |

References d_active_curve, None, pointStyle, sp, and style_.

Referenced by changeDataColumn(), ApplicationWindow::setFilledMesh3DPlot(), and setStyle().

void Graph3D::setFloorData | ( |  | ) |

References d_active_curve, and sp.

Referenced by ApplicationWindow::setFloorData3DPlot().

void Graph3D::setFloorGrid | ( | bool | b = `true` | ) |

References setGrid().

Referenced by ApplicationWindow::setFloorGrid3DPlot().

void Graph3D::setFloorIsolines | ( |  | ) |

References d_active_curve, and sp.

Referenced by ApplicationWindow::setFloorIso3DPlot().

void Graph3D::setFramed | ( |  | ) |

References sp.

Referenced by ApplicationWindow::setFramed3DPlot().

void Graph3D::setFrontGrid | ( | bool | b = `true` | ) |

References setGrid().

Referenced by ApplicationWindow::setFrontGrid3DPlot().

void Graph3D::setGrid | ( | int | s,
|  | bool | b
| ) |  |

References modified(), and sp.

Referenced by copy(), restore(), setBackGrid(), setCeilGrid(), setFloorGrid(), setFrontGrid(), setLeftGrid(), and setRightGrid().

void Graph3D::setGrid | ( | int | grids | ) |

References sp.

void Graph3D::setGridColor | ( | const QColor & | gridColor | ) |

References gridCol, gridColor(), and sp.

Referenced by restore().

void Graph3D::setHiddenLineStyle | ( |  | ) |

References d_active_curve, legendOn, None, pointStyle, sp, and style_.

Referenced by ApplicationWindow::setHiddenLineGrid3DPlot(), and setStyle().

void Graph3D::setIgnoreFonts | ( | bool | ok | ) |

inline

Referenced by restore().

void Graph3D::setLabelsColor | ( | const QColor & | labelColor | ) |

References labelColor(), labelsCol, and sp.

Referenced by copy(), initPlot(), restore(), and Plot3DDialog::updatePlot().

void Graph3D::setLabelsDistance | ( | int | val | ) |

References labelsDist, modified(), and sp.

Referenced by setOptions(), and Plot3DDialog::updatePlot().

void Graph3D::setLeftGrid | ( | bool | b = `true` | ) |

References setGrid().

Referenced by ApplicationWindow::setLeftGrid3DPlot().

void Graph3D::setMeshColor | ( | const QColor & | meshColor | ) |

References meshCol, meshColor(), and sp.

Referenced by copy(), initPlot(), restore(), and Plot3DDialog::updatePlot().

void Graph3D::setMeshLineWidth | ( | double | lw | ) |

References d_active_curve, and sp.

Referenced by copy(), restore(), and Plot3DDialog::updatePlot().

void Graph3D::setNoAxes | ( |  | ) |

References sp.

Referenced by ApplicationWindow::removeAxes3DPlot().

void Graph3D::setNumbersColor | ( | const QColor & | numColor | ) |

References d_active_curve, numCol, numColor(), and sp.

Referenced by copy(), initPlot(), restore(), and Plot3DDialog::updatePlot().

void Graph3D::setNumbersFont | ( | const QFont & | font | ) |

References d_active_curve, and sp.

Referenced by copy(), initPlot(), restore(), and Plot3DDialog::updatePlot().

void Graph3D::setOptions | ( | bool | legend,
|  | int | r,
|  | int | dist
| ) |  |

References d_active_curve, legendOn, setLabelsDistance(), and sp.

Referenced by copy(), and restore().

void Graph3D::setOptions | ( | const QStringList & | lst | ) |

References d_active_curve, legendOn, and setLabelsDistance().

void Graph3D::setOrthogonal | ( | bool | on = `true` | ) |

inline

Referenced by copy(), restore(), and ApplicationWindow::togglePerspective().

void Graph3D::setPlotAssociation | ( | const QString & | s | ) |

inline

void Graph3D::setPolygonStyle | ( |  | ) |

References d_active_curve, None, pointStyle, sp, and style_.

Referenced by ApplicationWindow::removeGrid3DPlot(), and setStyle().

void Graph3D::setResolution | ( | int | r | ) |

References d_active_curve, modified(), and sp.

Referenced by Plot3DDialog::updatePlot().

void Graph3D::setRightGrid | ( | bool | b = `true` | ) |

References setGrid().

Referenced by ApplicationWindow::setRightGrid3DPlot().

void Graph3D::setRotation | ( | double | xVal,
|  | double | yVal,
|  | double | zVal
| ) |  |

References sp.

Referenced by copy(), ApplicationWindow::resetRotation(), restore(), and Plot3DDialog::updatePlot().

void Graph3D::setScale | ( | double | xVal,
|  | double | yVal,
|  | double | zVal
| ) |  |

References sp.

Referenced by Plot3DDialog::changeZoom(), copy(), restore(), and Plot3DDialog::updatePlot().

void Graph3D::setScale | ( | int | axis,
|  | double | start,
|  | double | end,
|  | int | majorTicks,
|  | int | minorTicks,
|  | Qwt3D::SCALETYPE | type
| ) |  |

References d_active_curve, d_func, d_surface, legendMajorTicks, modified(), scaleType, setScales(), sp, and update().

void Graph3D::setScaleOnPrint | ( | bool | on | ) |

inline

Referenced by Plot3DDialog::updatePlot().

void Graph3D::setScales | ( | double | xl,
|  | double | xr,
|  | double | yl,
|  | double | yr,
|  | double | zl,
|  | double | zr,
|  | int | axis = `-1`
| ) |  |

References axisTickLengths(), Table::colIndex(), d_active_curve, d_autoscale, d_func, d_matrix, d_table, findBestLayout(), loadData(), plotAssociation, setTickLengths(), sp, updateScales(), and updateScalesFromMatrix().

Referenced by setScale().

void Graph3D::setShift | ( | double | xVal,
|  | double | yVal,
|  | double | zVal
| ) |  |

References sp.

Referenced by copy(), and restore().

void Graph3D::setStyle | ( | const QStringList & | st | ) |

References conesQuality, conesRad, crossHairBoxed, crossHairLineWidth, crossHairRad, crossHairSmooth, d_bar_lines, d_bars_rad, d_filled_bars, d_point_size, d_smooth_points, setBarStyle(), setConeStyle(), setCrossStyle(), setDotStyle(), setFilledMeshStyle(), setHiddenLineStyle(), setPolygonStyle(), setWireframeStyle(), and sp.

Referenced by restore().

void Graph3D::setTickLengths | ( | const QStringList & | lst | ) |

References sp.

Referenced by copy(), restore(), and setScales().

void Graph3D::setTicks | ( | const QStringList & | options | ) |

References min, and sp.

Referenced by copy(), and restore().

void Graph3D::setTitle | ( | const QStringList & | lst | ) |

Referenced by addCurve(), copy(), restore(), and Plot3DDialog::updatePlot().

void Graph3D::setTitle | ( | const QString & | s,
|  | const QColor & | color = `QColor(Qt::black)`,
|  | const QFont & | font = `QFont()`
| ) |  |

References sp, title, titleCol, and titleFnt.

void Graph3D::setTitleFont | ( | const QFont & | font | ) |

References sp, and titleFnt.

void Graph3D::setTransparency | ( | double | t | ) |

References d_active_curve, and d_alpha.

Referenced by copy(), and restore().

void Graph3D::setWireframeStyle | ( |  | ) |

References d_active_curve, legendOn, None, pointStyle, sp, and style_.

Referenced by addData(), ApplicationWindow::setLineGrid3DPlot(), and setStyle().

void Graph3D::setXAxisLabel | ( | const QString & | label | ) |

References labels, modified(), and sp.

Referenced by Plot3DDialog::updatePlot().

void Graph3D::setXAxisLabelFont | ( | const QFont & | fnt | ) |

References sp.

Referenced by copy(), restore(), scaleFonts(), and Plot3DDialog::updatePlot().

void Graph3D::setXAxisLabelFont | ( | const QStringList & | lst | ) |

References sp.

void Graph3D::setXAxisTickLength | ( | double | majorLength,
|  | double | minorLength
| ) |  |

References sp.

Referenced by Plot3DDialog::updatePlot().

void Graph3D::setYAxisLabel | ( | const QString & | label | ) |

References labels, modified(), and sp.

Referenced by Plot3DDialog::updatePlot().

void Graph3D::setYAxisLabelFont | ( | const QFont & | fnt | ) |

References sp.

Referenced by copy(), restore(), scaleFonts(), and Plot3DDialog::updatePlot().

void Graph3D::setYAxisLabelFont | ( | const QStringList & | lst | ) |

References sp.

void Graph3D::setYAxisTickLength | ( | double | majorLength,
|  | double | minorLength
| ) |  |

References sp.

Referenced by Plot3DDialog::updatePlot().

void Graph3D::setZAxisLabel | ( | const QString & | label | ) |

References labels, modified(), and sp.

Referenced by Plot3DDialog::updatePlot().

void Graph3D::setZAxisLabelFont | ( | const QFont & | fnt | ) |

References sp.

Referenced by copy(), restore(), scaleFonts(), and Plot3DDialog::updatePlot().

void Graph3D::setZAxisLabelFont | ( | const QStringList & | lst | ) |

References sp.

void Graph3D::setZAxisTickLength | ( | double | majorLength,
|  | double | minorLength
| ) |  |

References sp.

Referenced by Plot3DDialog::updatePlot().

void Graph3D::setZoom | ( | double | val | ) |

References sp.

Referenced by Plot3DDialog::changeZoom(), copy(), restore(), and Plot3DDialog::updatePlot().

void Graph3D::shiftChanged | ( | double | ,
|  | double | ,
|  | double |
| ) |  |

References modified().

Referenced by initPlot().

void Graph3D::showColorLegend | ( | bool | show = `true` | ) |

References legendOn, modified(), and sp.

Referenced by Plot3DDialog::updatePlot().

void Graph3D::showOptionsDialog | ( |  | ) |

signal

Referenced by eventFilter().

void Graph3D::showWorksheet | ( |  | ) |

References d_matrix, and d_table.

Referenced by Plot3DDialog::worksheet().

bool Graph3D::smoothCrossHair | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

bool Graph3D::smoothPoints | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

Qwt3D::Plot3D* Graph3D::surface | ( |  | ) |

inline

Referenced by copy(), Plot3DDialog::setPlot(), Plot3DDialog::viewScaleLimits(), and ImageWidget::windowPixmap().

Table* Graph3D::table | ( |  | ) |

inline

Referenced by addRibbon(), copy(), loadData(), ApplicationWindow::saveWindow(), Plot3DDialog::setPlot(), ApplicationWindow::showWindowContextMenu(), and ApplicationWindow::showWindowPopupMenu().

PlotType Graph3D::tablePlotType | ( |  | ) |

inline

Referenced by ApplicationWindow::change3DData().

QColor Graph3D::titleColor | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

QFont Graph3D::titleFont | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

double Graph3D::transparency | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

void Graph3D::update | ( |  | ) |

References resetAxesLabels(), and sp.

Referenced by addFunction(), addMatrixData(), addParametricSurface(), Plot3DDialog::changeTransparency(), Plot3DDialog::changeZoom(), insertNewData(), ApplicationWindow::plot3DMatrix(), PlotWizard::plot3DRibbon(), ApplicationWindow::plotParametricSurface(), ApplicationWindow::plotSurface(), ApplicationWindow::plotXYZ(), restore(), setScale(), updateData(), updateDataXY(), updateMatrixData(), Plot3DDialog::updatePlot(), and updateScalesFromMatrix().

void Graph3D::updateData | ( | Table * | table | ) |

References Table::colIndex(), d_autoscale, d_func, findBestLayout(), loadData(), MdiSubWindow::name(), plotAssociation, resetNonEmptyStyle(), update(), and updateDataXY().

Referenced by ApplicationWindow::updateCurves().

void Graph3D::updateDataXY | ( | Table * | table,
|  | int | xCol,
|  | int | yCol
| ) |  |

References addCurve(), Matrix::allocateMatrixData(), Table::cell(), d_active_curve, Matrix::freeMatrixData(), legendMajorTicks, legendOn, Table::numRows(), resetNonEmptyStyle(), sp, Table::text(), and update().

Referenced by updateData().

void Graph3D::updateMatrixData | ( | Matrix * | m | ) |

References addCurve(), Matrix::allocateMatrixData(), Matrix::cell(), clearData(), d_active_curve, d_autoscale, findBestLayout(), Matrix::freeMatrixData(), Matrix::isEmpty(), legendMajorTicks, legendOn, Matrix::numCols(), Matrix::numRows(), sp, update(), Matrix::xEnd(), Matrix::xStart(), Matrix::yEnd(), and Matrix::yStart().

void Graph3D::updateScales | ( | double | xl,
|  | double | xr,
|  | double | yl,
|  | double | yr,
|  | double | zl,
|  | double | zr,
|  | int | xcol,
|  | int | ycol
| ) |  |

References Matrix::allocateMatrixData(), Table::cell(), d_active_curve, d_table, Matrix::freeMatrixData(), Table::numRows(), sp, and Table::text().

Referenced by setScales().

void Graph3D::updateScalesFromMatrix | ( | double | xl,
|  | double | xr,
|  | double | yl,
|  | double | yr,
|  | double | zl,
|  | double | zr
| ) |  |

References addCurve(), Matrix::allocateMatrixData(), Matrix::cell(), changeScales(), d_active_curve, d_matrix, Matrix::dx(), Matrix::dy(), Matrix::freeMatrixData(), legendMajorTicks, Matrix::numCols(), Matrix::numRows(), Matrix::range(), sp, update(), Matrix::xEnd(), xStart(), Matrix::xStart(), Matrix::yEnd(), yStart(), Matrix::yStart(), and zStart().

Referenced by addMatrixData(), and setScales().

UserFunction* Graph3D::userFunction | ( |  | ) |

inline

Referenced by copy(), ApplicationWindow::editSurfacePlot(), SurfaceDialog::setFunction(), Plot3DDialog::setPlot(), and ApplicationWindow::showWindowContextMenu().

QFont Graph3D::xAxisLabelFont | ( |  | ) |

References sp.

Referenced by copy(), scaleFonts(), and Plot3DDialog::setPlot().

double Graph3D::xRotation | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

double Graph3D::xScale | ( |  | ) |

inline

Referenced by copy(), findBestLayout(), and Plot3DDialog::setPlot().

double Graph3D::xShift | ( |  | ) |

inline

Referenced by copy().

double Graph3D::xStart | ( |  | ) |

References sp.

Referenced by ApplicationWindow::change3DMatrix(), changeDataColumn(), copy(), SurfaceDialog::setFunction(), and updateScalesFromMatrix().

double Graph3D::xStop | ( |  | ) |

References sp.

Referenced by ApplicationWindow::change3DMatrix(), changeDataColumn(), copy(), and SurfaceDialog::setFunction().

QFont Graph3D::yAxisLabelFont | ( |  | ) |

References sp.

Referenced by copy(), scaleFonts(), and Plot3DDialog::setPlot().

double Graph3D::yRotation | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

double Graph3D::yScale | ( |  | ) |

inline

Referenced by copy(), findBestLayout(), and Plot3DDialog::setPlot().

double Graph3D::yShift | ( |  | ) |

inline

Referenced by copy().

double Graph3D::yStart | ( |  | ) |

References sp.

Referenced by ApplicationWindow::change3DMatrix(), changeDataColumn(), copy(), SurfaceDialog::setFunction(), and updateScalesFromMatrix().

double Graph3D::yStop | ( |  | ) |

References sp.

Referenced by ApplicationWindow::change3DMatrix(), changeDataColumn(), copy(), and SurfaceDialog::setFunction().

QFont Graph3D::zAxisLabelFont | ( |  | ) |

References sp.

Referenced by copy(), scaleFonts(), and Plot3DDialog::setPlot().

double Graph3D::zoom | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

void Graph3D::zoomChanged | ( | double |  | ) |

References modified().

Referenced by initPlot().

double Graph3D::zRotation | ( |  | ) |

inline

Referenced by copy(), and Plot3DDialog::setPlot().

double Graph3D::zScale | ( |  | ) |

inline

Referenced by copy(), findBestLayout(), and Plot3DDialog::setPlot().

double Graph3D::zShift | ( |  | ) |

inline

Referenced by copy().

double Graph3D::zStart | ( |  | ) |

References sp.

Referenced by ApplicationWindow::change3DMatrix(), changeDataColumn(), copy(), SurfaceDialog::setFunction(), Plot3DDialog::setPlot(), and updateScalesFromMatrix().

double Graph3D::zStop | ( |  | ) |

References sp.

Referenced by ApplicationWindow::change3DMatrix(), changeDataColumn(), copy(), SurfaceDialog::setFunction(), and Plot3DDialog::setPlot().

## Member Data Documentation

int Graph3D::animation_redraw_wait

private

Wait this many msecs before redraw 3D plot (used for animations)

Referenced by animate(), and initPlot().

QColor Graph3D::axesCol

private

Referenced by save(), and setAxesColor().

QColor Graph3D::bgCol

private

Referenced by save(), and setBackgroundColor().

Qwt3D::StandardColor* Graph3D::col_

private

Referenced by initPlot(), and setDataColorMap().

int Graph3D::conesQuality

private

Referenced by copy(), initPlot(), resetNonEmptyStyle(), save(), setConeOptions(), setConeStyle(), and setStyle().

double Graph3D::conesRad

private

Referenced by copy(), initPlot(), resetNonEmptyStyle(), save(), setConeOptions(), setConeStyle(), and setStyle().

bool Graph3D::crossHairBoxed

private

Referenced by copy(), initPlot(), resetNonEmptyStyle(), save(), setCrossOptions(), setCrossStyle(), and setStyle().

double Graph3D::crossHairLineWidth

private

Referenced by copy(), initPlot(), resetNonEmptyStyle(), save(), setCrossOptions(), setCrossStyle(), and setStyle().

double Graph3D::crossHairRad

private

Referenced by copy(), initPlot(), resetNonEmptyStyle(), save(), setCrossOptions(), setCrossStyle(), and setStyle().

bool Graph3D::crossHairSmooth

private

Referenced by copy(), initPlot(), resetNonEmptyStyle(), save(), setCrossOptions(), setCrossStyle(), and setStyle().

Curve* Graph3D::d_active_curve

private

Referenced by addCurve(), addFunction(), addMatrixData(), addParametricSurface(), addRibbon(), barsRadius(), changeTransparency(), copy(), customPlotStyle(), floorStyle(), initPlot(), loadData(), plotStyle(), removeCurve(), resetNonEmptyStyle(), scaleFonts(), setBarStyle(), setConeStyle(), setCrossStyle(), setDataColorMap(), setDotStyle(), setEmptyFloor(), setFilledMeshStyle(), setFloorData(), setFloorIsolines(), setHiddenLineStyle(), setMeshLineWidth(), setNumbersColor(), setNumbersFont(), setOptions(), setPolygonStyle(), setResolution(), setScale(), setScales(), setTransparency(), setWireframeStyle(), updateDataXY(), updateMatrixData(), updateScales(), and updateScalesFromMatrix().

double Graph3D::d_alpha

private

Transparency.

Referenced by changeTransparency(), initPlot(), save(), setDataColorMap(), and setTransparency().

bool Graph3D::d_autoscale

private

Referenced by addFunction(), addMatrixData(), addRibbon(), changeDataColumn(), initPlot(), setScales(), updateData(), and updateMatrixData().

bool Graph3D::d_bar_lines

private

Referenced by copy(), initPlot(), save(), setBarLines(), setBarStyle(), and setStyle().

double Graph3D::d_bars_rad

private

Referenced by barsRadius(), copy(), customPlotStyle(), initPlot(), resetNonEmptyStyle(), save(), setBarRadius(), setBarStyle(), and setStyle().

LinearColorMap Graph3D::d_color_map

private

Referenced by initPlot(), save(), and setDataColorMap().

QString Graph3D::d_color_map_file

private

File name of the color map used for the data (if any)

Referenced by initPlot(), save(), and setDataColorMap().

Curve* Graph3D::d_const_curve

private

Referenced by addHiddenConstantCurve(), initPlot(), and removeCurve().

ConstFunction* Graph3D::d_const_func

private

Referenced by addHiddenConstantCurve(), changeScales(), initPlot(), and removeCurve().

bool Graph3D::d_filled_bars

private

Referenced by copy(), initPlot(), save(), setBarStyle(), setFilledBars(), and setStyle().

UserFunction* Graph3D::d_func

private

Referenced by addFunction(), formula(), initPlot(), removeCurve(), save(), setScale(), setScales(), and updateData().

Matrix* Graph3D::d_matrix

private

Referenced by addMatrixData(), clearData(), initPlot(), loadData(), resetAxesLabels(), setScales(), showWorksheet(), and updateScalesFromMatrix().

double Graph3D::d_point_size

private

Referenced by copy(), customPlotStyle(), initPlot(), resetNonEmptyStyle(), save(), setDotOptions(), setDotStyle(), and setStyle().

bool Graph3D::d_print_cropmarks

private

Referenced by copy(), initPlot(), and print().

bool Graph3D::d_scale_on_print

private

Referenced by copy(), initPlot(), and print().

bool Graph3D::d_smooth_points

private

Draw 3D points with smoothed angles.

Referenced by copy(), customPlotStyle(), initPlot(), resetNonEmptyStyle(), save(), setDotOptions(), setDotStyle(), and setStyle().

UserParametricSurface* Graph3D::d_surface

private

Referenced by addParametricSurface(), initPlot(), removeCurve(), save(), and setScale().

Table* Graph3D::d_table

private

Referenced by addMatrixData(), addRibbon(), clearData(), initPlot(), loadData(), setScales(), showWorksheet(), and updateScales().

PlotType Graph3D::d_table_plot_type

private

Referenced by addData(), addRibbon(), clearData(), initPlot(), setAntialiasing(), and setBarStyle().

QTimer* Graph3D::d_timer

private

Referenced by animate(), and initPlot().

QColor Graph3D::gridCol

private

Referenced by save(), and setGridColor().

bool Graph3D::ignoreFonts

private

Referenced by initPlot(), and resizeEvent().

QStringList Graph3D::labels

private

Referenced by initCoord(), resetAxesLabels(), save(), setAxesLabels(), setXAxisLabel(), setYAxisLabel(), and setZAxisLabel().

QColor Graph3D::labelsCol

private

Referenced by save(), and setLabelsColor().

int Graph3D::labelsDist

private

Referenced by initPlot(), save(), and setLabelsDistance().

int Graph3D::legendMajorTicks

private

Referenced by addFunction(), addMatrixData(), addParametricSurface(), addRibbon(), initPlot(), loadData(), setScale(), updateDataXY(), updateMatrixData(), and updateScalesFromMatrix().

bool Graph3D::legendOn

private

Referenced by addFunction(), addMatrixData(), addParametricSurface(), addRibbon(), changeTransparency(), customPlotStyle(), initPlot(), loadData(), save(), setDataColorMap(), setHiddenLineStyle(), setOptions(), setWireframeStyle(), showColorLegend(), updateDataXY(), and updateMatrixData().

QColor Graph3D::meshCol

private

Referenced by save(), and setMeshColor().

QColor Graph3D::numCol

private

Referenced by save(), and setNumbersColor().

QString Graph3D::plotAssociation

private

Referenced by addMatrixData(), addRibbon(), clearData(), formula(), initPlot(), loadData(), resetAxesLabels(), save(), setScales(), and updateData().

PointStyle Graph3D::pointStyle

private

Referenced by addFunction(), addParametricSurface(), copy(), customPlotStyle(), initPlot(), resetNonEmptyStyle(), save(), setAntialiasing(), setBarStyle(), setConeStyle(), setCrossStyle(), setDotStyle(), setFilledMeshStyle(), setHiddenLineStyle(), setPolygonStyle(), and setWireframeStyle().

QVector<int> Graph3D::scaleType

private

Referenced by copy(), initPlot(), resetAxesType(), save(), setAxisType(), and setScale().

Qwt3D::Plot3D* Graph3D::sp

private

Referenced by addCurve(), addFunction(), addHiddenConstantCurve(), addMatrixData(), addParametricSurface(), addRibbon(), axisNumericFormat(), axisNumericPrecision(), axisTickLengths(), changeTransparency(), clearData(), coordStyle(), copy(), copyImage(), customPlotStyle(), eventFilter(), exportVector(), findBestLayout(), grids(), initCoord(), initPlot(), loadData(), numbersFont(), pixmap(), print(), resetAxesLabels(), resetAxesType(), rotate(), save(), scaleFonts(), scaleTicks(), setAntialiasing(), setAxesColor(), setAxesLabels(), setAxisNumericFormat(), setAxisTickLength(), setBackgroundColor(), setBarStyle(), setBoxed(), setConeStyle(), setCrossStyle(), setDataColorMap(), setDotStyle(), setEmptyFloor(), setFilledMeshStyle(), setFloorData(), setFloorIsolines(), setFramed(), setGrid(), setGridColor(), setHiddenLineStyle(), setLabelsColor(), setLabelsDistance(), setMeshColor(), setMeshLineWidth(), setNoAxes(), setNumbersColor(), setNumbersFont(), setOptions(), setPolygonStyle(), setResolution(), setRotation(), setScale(), setScales(), setShift(), setStyle(), setTickLengths(), setTicks(), setTitle(), setTitleFont(), setWireframeStyle(), setXAxisLabel(), setXAxisLabelFont(), setXAxisTickLength(), setYAxisLabel(), setYAxisLabelFont(), setYAxisTickLength(), setZAxisLabel(), setZAxisLabelFont(), setZAxisTickLength(), setZoom(), showColorLegend(), update(), updateDataXY(), updateMatrixData(), updateScales(), updateScalesFromMatrix(), xAxisLabelFont(), xStart(), xStop(), yAxisLabelFont(), yStart(), yStop(), zAxisLabelFont(), zStart(), zStop(), and ~Graph3D().

Qwt3D::PLOTSTYLE Graph3D::style_

private

Referenced by addFunction(), addParametricSurface(), copy(), customPlotStyle(), initPlot(), plotStyle(), resetNonEmptyStyle(), setBarStyle(), setConeStyle(), setCrossStyle(), setDotStyle(), setFilledMeshStyle(), setHiddenLineStyle(), setPolygonStyle(), and setWireframeStyle().

QString Graph3D::title

private

Referenced by addCurve(), initPlot(), save(), and setTitle().

QColor Graph3D::titleCol

private

Referenced by addCurve(), initPlot(), save(), and setTitle().

QFont Graph3D::titleFnt

private

Referenced by addCurve(), initPlot(), save(), scaleFonts(), setTitle(), and setTitleFont().

The documentation for this class was generated from the following files:

- qtiplot/src/plot3D/Graph3D.h
- qtiplot/src/plot3D/Graph3D.cpp